# Generated by Django 2.2.16 on 2020-10-21 10:46

from django.db import migrations


def make_many_screening_statuses(apps, schema_editor):
    """
        Adds the ScreeningStatus object in ApplicationSubmission.screening_status
        to the many-to-many relationship in ApplicationSubmission.screening_statuses
    """
    ApplicationSubmission = apps.get_model('funds', 'ApplicationSubmission')

    for submission in ApplicationSubmission.objects.all():
        if submission.screening_status:
            submission.screening_statuses.add(submission.screening_status)


class Migration(migrations.Migration):

    dependencies = [
        ('funds', '0080_add_screening_statuses_field'),
    ]

    operations = [
        migrations.RunPython(make_many_screening_statuses),
    ]
